package cn.com.qmth.dp.examcloud.oe;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;

import cn.com.qmth.examcloud.commons.util.PropertiesUtil;
import cn.com.qmth.examcloud.web.bootstrap.PropertyHolder;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;
import cn.com.qmth.examcloud.web.upyun.UpyunSiteManager;

/**
 * 启动类
 *
 * @author WANGWEI
 * @date 2019年3月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@SpringBootApplication
@Configuration
@EnableAsync
@ComponentScan(basePackages = {"cn.com.qmth"})
@EnableAutoConfiguration(exclude = {RedisAutoConfiguration.class})
public class Tianji2App {

	static {
		System.setProperty("hibernate.dialect.storage_engine", "innodb");
		PropertiesUtil.loadFromResource("application.properties");
		PropertyHolder.loadFromResource("application.properties");
	}

	/**
	 * main
	 *
	 * @author WANGWEI
	 * @param args
	 */
	public static void main(String[] args) {
		SpringApplication.run(Tianji2App.class, args);

//		UpyunSiteManager.init();

		Task task = SpringContextHolder.getBean(Task.class);
		task.start();
	}

}
